/*!
 * @module browser-dtector
 * @description A Javascript library to detect browser, version and platform
 * @version 3.1.1
 * @link https://github.com/sibiraj-s/browser-dtector.git
 * @licence MIT License, https://opensource.org/licenses/MIT
 */
function _classCallCheck(e,o){if(!(e instanceof o))throw new TypeError("Cannot call a class as a function")}function _defineProperties(e,o){for(var r=0;r<o.length;r++){var n=o[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function _createClass(e,o,r){return o&&_defineProperties(e.prototype,o),r&&_defineProperties(e,r),e}var KnownBrowsers={chrome:"Google Chrome",brave:"Brave",crios:"Google Chrome",edge:"Microsoft Edge",edg:"Microsoft Edge",fennec:"Mozilla Firefox",jsdom:"JsDOM",mozilla:"Mozilla Firefox",msie:"Microsoft Internet Explorer",opera:"Opera",opios:"Opera",opr:"Opera",rv:"Microsoft Internet Explorer",safari:"Safari",samsungbrowser:"Samsung Browser"},KnownPlatforms={android:"Android",androidTablet:"Android Tablet",cros:"Chrome OS",fennec:"Android Tablet",ipad:"IPad",iphone:"IPhone",jsdom:"JsDOM",linux:"Linux",mac:"Macintosh",tablet:"Android Tablet",win:"Windows","windows phone":"Windows Phone",xbox:"Microsoft Xbox"},toFixed=function(e){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:-1,r=new RegExp("^-?\\d+(?:.\\d{0,".concat(o,"})?")),n=Number(e).toString().match(r);return n?n[0]:null},utils={toFixed:toFixed},version="3.1.1",getNavigator=function(){return"undefined"!=typeof window?window.navigator:null},BrowserDtector=function(){function e(o){var r;_classCallCheck(this,e),this.userAgent=o||(null===(r=getNavigator())||void 0===r?void 0:r.userAgent)||null}return _createClass(e,[{key:"parseUserAgent",value:function(e){var o,r,n,i={},t=e||this.userAgent||"",a=t.toLowerCase().replace(/\s\s+/g," "),s=/(edge)\/([\w.]+)/.exec(a)||/(edg)[/]([\w.]+)/.exec(a)||/(opr)[/]([\w.]+)/.exec(a)||/(jsdom)[/]([\w.]+)/.exec(a)||/(samsungbrowser)[/]([\w.]+)/.exec(a)||/(chrome)[/]([\w.]+)/.exec(a)||/(crios)[/]([\w.]+)/.exec(a)||/(opios)[/]([\w.]+)/.exec(a)||/(version)(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(a)||/(webkit)[/]([\w.]+).*(version)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(a)||/(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(a)||/(webkit)[/]([\w.]+)/.exec(a)||/(opera)(?:.*version|)[/]([\w.]+)/.exec(a)||/(msie) ([\w.]+)/.exec(a)||/(fennec)[/]([\w.]+)/.exec(a)||a.indexOf("trident")>=0&&/(rv)(?::| )([\w.]+)/.exec(a)||a.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(a)||[],l=/(ipad)/.exec(a)||/(ipod)/.exec(a)||/(iphone)/.exec(a)||/(jsdom)/.exec(a)||/(windows phone)/.exec(a)||/(xbox)/.exec(a)||/(win)/.exec(a)||/(tablet)/.exec(a)||/(android)/.test(a)&&!1===/(mobile)/.test(a)&&["androidTablet"]||/(android)/.exec(a)||/(mac)/.exec(a)||/(linux)/.exec(a)||/(cros)/.exec(a)||[],c=s[5]||s[3]||s[1]||null,d=l[0]||null,u=s[4]||s[2]||null,w=getNavigator();"function"==typeof(null==w||null===(o=w.brave)||void 0===o?void 0:o.isBrave)&&(c="brave"),c&&(i[c]=!0),d&&(i[d]=!0);var x=!!(i.tablet||i.android||i.androidTablet),f=!!(i.ipad||i.tablet||i.androidTablet),p=!!(i.android||i.androidTablet||i.tablet||i.ipad||i.ipod||i.iphone||i["windows phone"]),v=!!(i.cros||i.mac||i.linux||i.win),b=!!(i.brave||i.chrome||i.crios||i.opr||i.safari||i.edg),g=!(!i.msie&&!i.rv);return{name:null!==(r=KnownBrowsers[c])&&void 0!==r?r:null,platform:null!==(n=KnownPlatforms[d])&&void 0!==n?n:null,userAgent:t,version:u,shortVersion:u?utils.toFixed(parseFloat(u),2):null,isAndroid:x,isTablet:f,isMobile:p,isDesktop:v,isWebkit:b,isIE:g}}},{key:"getBrowserInfo",value:function(){var e=this.parseUserAgent();return{name:e.name,platform:e.platform,userAgent:e.userAgent,version:e.version,shortVersion:e.shortVersion}}}],[{key:"VERSION",get:function(){return version}}]),e}();export default BrowserDtector;
//# sourceMappingURL=browser-dtector.esm.min.js.map
